ghc-7.0.3: The GHC API

Unify

# Documentation

tcMatchTy :: TyVarSet -> Type -> Type -> Maybe TvSubst Source

tcMatchTys :: TyVarSet -> [Type] -> [Type] -> Maybe TvSubst Source

tcMatchTyX :: TyVarSet -> TvSubst -> Type -> Type -> Maybe TvSubst Source

ruleMatchTyX :: MatchEnv -> TvSubstEnv -> Type -> Type -> Maybe TvSubstEnv Source

tcMatchPreds :: [TyVar] -> [PredType] -> [PredType] -> Maybe TvSubstEnv Source

data MatchEnv Source

Constructors

ME |

Fields

me_tmpls :: VarSet
me_env :: RnEnv2

dataConCannotMatch :: [Type] -> DataCon -> Bool Source

tcUnifyTys :: (TyVar -> BindFlag) -> [Type] -> [Type] -> Maybe TvSubst Source

data BindFlag Source

Constructors

BindMe |
Skolem |

niFixTvSubst :: TvSubstEnv -> TvSubst Source

niSubstTvSet :: TvSubstEnv -> TyVarSet -> TyVarSet Source